> ## Documentation Index
> Fetch the complete documentation index at: https://docs.undrctrl.id/llms.txt
> Use this file to discover all available pages before exploring further.

# Multiple Status

> Retrieve the status and related details for multiple orders for the authenticated user using the provided order IDs.



## OpenAPI

````yaml api-status-multiple POST /api/v2/
openapi: 3.0.0
info:
  title: UNDRCTRL API
  description: List of all available APIs that can be consumed
  version: 1.0.0
servers:
  - url: https://undrctrl.id
    description: Production server
security: []
paths:
  /api/v2/:
    post:
      summary: Retrieve Multiple Order Statuses
      description: >-
        Retrieve the status and related details for multiple orders for the
        authenticated user using the provided order IDs.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                key:
                  type: string
                  description: The `API key` to fetch the order status
                  example: apiKey
                action:
                  type: string
                  description: Action to be performed, set to `status`
                  example: status
                orders:
                  type: string
                  description: '`Order IDs` separated by a comma, up to 100 IDs'
                  example: 123456789,987654321,1122334455
              required:
                - key
                - action
                - orders
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  oneOf:
                    - type: object
                      properties:
                        charge:
                          type: string
                          example: '950'
                        start_count:
                          type: string
                          example: '3572'
                        status:
                          type: string
                          example: Completed
                        remains:
                          type: string
                          example: '157'
                        currency:
                          type: string
                          example: IDR
                    - type: object
                      properties:
                        error:
                          type: string
                          example: Incorrect order ID
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid API key
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Incorrect request

````